Bug 183138 - SATA failure after pm-suspend/resume ata1: handling error/timeout
SATA failure after pm-suspend/resume ata1: handling error/timeout
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-02-26 17:13 EST by Andy Burns
Modified: 2015-01-04 17:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 17:48:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg and lspci output from boot (vanilla 2.6.16 kernel, as additional info only. The bug appears in the FC5 kernel.) (16.88 KB, text/plain)
2006-03-29 00:50 EST, Klaus Weidner
no flags Details

  None (edit)
Description Andy Burns 2006-02-26 17:13:12 EST
Description of problem:

Presviously I've had problems gettimg machine to enter or leave suspend state,
with kernel 1977 the machine does manage to come out of suspended animation, and
a quick swap to VT1 and back to VT7 enables video :-)

However after resume I can only perform actions which don't require disk I/O, as
soon as any disk activity is required the machine hangs and eventually spits out
sata related errors to the console (at slow but regular intervals)

I can't capture these to a serial console as the serial port doesn't seem to get
initialised back to proper speed/word/parity settings either.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. pm-suspend
2. press key on keyboard to re-wake machine
3. CTRL-ALT-F1 then ALT-F1 to re-init video
4. perform any disk I/O  

Actual results:

ata1: handling error/timeout
ata1: port reset [snip]
ata1: status=0x50 [snip]
sda: Current sense key: no sense, additional sense: no additional sense info

see screen capture at linked URL for full info

Expected results:

disk activity possible after resume.

Additional info:

I have some old pm-suspend/resume bugs that can probably get closed now as it's
never got this far before :-)
Comment 1 Andy Burns 2006-03-09 14:49:33 EST
Just to confirm this problem has not been fixed by recent kernels, upto and
including 2.6.15-1.2032_FC5
Comment 2 Ryo Dairiki 2006-03-22 23:21:01 EST
I've experienced the same problem on kernel-2.6.15-1.2054_FC5.
SATA disk won't resume after resuming.
Comment 3 Klaus Weidner 2006-03-29 00:50:31 EST
Created attachment 126959 [details]
dmesg and lspci output from boot (vanilla 2.6.16 kernel, as additional info only. The bug appears in the FC5 kernel.)

See also bug #169201, this may be related.

An extra data point - while experimenting, I noticed that my Thinkpad T60
failed to boot when using a kernel with no ACPI support, the SATA drive didn't
get detected after a "failed to respond" timeout. Including ACPI made it boot.

extract of dmesg from a successful boot (full log attached):

libata version 1.20 loaded.
ahci 0000:00:1f.2: version 1.2
acpi_bus-0201 [-3] bus_set_power	 : Device is not power manageable
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0x1 impl SATA mode
ahci 0000:00:1f.2: flags: 64bit ncq pm led clo pio slum part
ata1: dev 0 ATA-7, max UDMA/100, 195371568 sectors: LBA48

from lspci:
0000:00:1f.2 0106: Intel Corporation 82801GBM/GHM (ICH7 Family) Serial ATA
Storage Controllers cc=AHCI (rev 02)

I couldn't save the unsuccessful boot. It obviously didn't have ACPI messages,
and it timed out instead of detecting the SATA disk.

Is the problem maybe a missing power on ACPI command after resume?
Comment 4 Klaus Weidner 2006-04-04 00:19:08 EDT
Here's a proposed patch by Greg KH:
Comment 5 Peter Bieringer 2006-05-09 09:01:53 EDT
I run into similar problem with a Promise SATA 300 TX4 controller buyed
yesterday. Connected a Samsung 300 GB drive and Seagate 300 GB + 160 GB.

Can't neither copy huge files via NFS nor local to another disk, got in addition
SCSI CRC errors.
Comment 6 Dave Jones 2006-10-16 19:55:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 17:48:29 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.